
DeadDrop - Feature #9

Implement Private Drops Backend

07/18/2023 12:57 AM - Sancho Fock

Status: Closed Start date: 08/07/2023

Priority: Normal Due date: 08/07/2023

Assignee: Sancho Fock % Done: 100%

Category: API Estimated time: 16:00 hours

Target version: 0.3.0   

Description

Private Drops are like hidden Drops, but inly available to invited clients

Requires User Roles and invites

Related issues:

Follows Feature #7: Implement invites Backend Closed 07/31/2023 08/06/2023

Precedes Feature #10: Implement Private Drops Client Closed 08/08/2023 08/08/2023

Precedes Feature #8: Implement invites Client Closed 08/09/2023 08/09/2023

History

#1 - 07/18/2023 11:41 AM - Sancho Fock

- Due date set to 07/19/2023

- Start date changed from 07/18/2023 to 07/19/2023

- Follows Feature #7: Implement invites Backend added

#2 - 07/18/2023 12:43 PM - Sancho Fock

- Due date changed from 07/19/2023 to 07/21/2023

- Start date changed from 07/19/2023 to 07/21/2023

- Follows Feature #10: Implement Private Drops Client added

#3 - 07/18/2023 12:56 PM - Sancho Fock

- Estimated time set to 16:00 h

#4 - 07/20/2023 02:10 AM - Sancho Fock

- Due date changed from 07/21/2023 to 08/03/2023

- Start date changed from 07/21/2023 to 08/03/2023

#5 - 07/25/2023 11:46 PM - Sancho Fock

- Target version changed from 0.3.0 to 0.4.x

#6 - 07/25/2023 11:46 PM - Sancho Fock

- Follows Feature #35: Replace scAPI with localLib added

#7 - 07/26/2023 11:47 PM - Sancho Fock

- Due date changed from 08/03/2023 to 08/04/2023

- Start date changed from 08/03/2023 to 08/04/2023

#8 - 07/26/2023 11:48 PM - Sancho Fock

- Due date changed from 08/04/2023 to 08/02/2023

- Start date changed from 08/04/2023 to 08/02/2023

#9 - 07/26/2023 11:52 PM - Sancho Fock

- Due date changed from 08/02/2023 to 08/04/2023
- Start date changed from 08/02/2023 to 08/04/2023

#10 - 07/26/2023 11:52 PM - Sancho Fock

- Due date changed from 08/04/2023 to 08/07/2023

- Start date changed from 08/04/2023 to 08/07/2023

#11 - 07/26/2023 11:59 PM - Sancho Fock

- Due date changed from 08/07/2023 to 08/08/2023

- Start date changed from 08/07/2023 to 08/08/2023

#12 - 07/27/2023 11:41 PM - Sancho Fock

- Due date changed from 08/08/2023 to 08/10/2023

- Start date changed from 08/08/2023 to 08/10/2023

#13 - 07/27/2023 11:44 PM - Sancho Fock

- Due date changed from 08/10/2023 to 08/11/2023

- Start date changed from 08/10/2023 to 08/11/2023

#14 - 07/28/2023 11:39 PM - Sancho Fock

- Due date changed from 08/11/2023 to 08/08/2023

- Start date changed from 08/11/2023 to 08/08/2023

#15 - 07/28/2023 11:47 PM - Sancho Fock

- Due date changed from 08/08/2023 to 08/04/2023

- Start date changed from 08/08/2023 to 08/04/2023

#16 - 07/28/2023 11:56 PM - Sancho Fock

- Due date changed from 08/04/2023 to 08/14/2023

- Start date changed from 08/04/2023 to 08/14/2023

#17 - 07/28/2023 11:56 PM - Sancho Fock

- Due date changed from 08/14/2023 to 08/15/2023

- Start date changed from 08/14/2023 to 08/15/2023

#18 - 07/29/2023 12:02 AM - Sancho Fock

- Due date changed from 08/15/2023 to 08/17/2023

- Start date changed from 08/15/2023 to 08/17/2023

#19 - 07/29/2023 12:04 AM - Sancho Fock

- Precedes Feature #12: Implement Private secure Drops Client added

#20 - 08/05/2023 11:36 PM - Sancho Fock

- Follows Feature #8: Implement invites Client added

#21 - 08/05/2023 11:37 PM - Sancho Fock

- Follows deleted (Feature #35: Replace scAPI with localLib)

#22 - 08/05/2023 11:37 PM - Sancho Fock

- Precedes deleted (Feature #12: Implement Private secure Drops Client)

#23 - 08/05/2023 11:37 PM - Sancho Fock

- Target version changed from 0.4.x to 0.3.0

#24 - 08/05/2023 11:39 PM - Sancho Fock

- Follows deleted (Feature #10: Implement Private Drops Client)
#25 - 08/05/2023 11:40 PM - Sancho Fock

- Precedes Feature #10: Implement Private Drops Client added

#26 - 08/05/2023 11:42 PM - Sancho Fock

- Due date changed from 08/17/2023 to 08/21/2023

- Start date changed from 08/17/2023 to 08/11/2023

#27 - 08/05/2023 11:44 PM - Sancho Fock

- Due date changed from 08/21/2023 to 08/16/2023

#28 - 08/06/2023 09:30 PM - Sancho Fock

- Due date changed from 08/16/2023 to 08/11/2023

- Start date changed from 08/11/2023 to 08/08/2023

#29 - 08/06/2023 09:31 PM - Sancho Fock

- Follows deleted (Feature #8: Implement invites Client)

#30 - 08/06/2023 09:32 PM - Sancho Fock

- Precedes Feature #8: Implement invites Client added

#31 - 08/06/2023 09:33 PM - Sancho Fock

- Due date changed from 08/11/2023 to 08/07/2023

- Start date changed from 08/08/2023 to 08/07/2023

- % Done changed from 0 to 100

#32 - 08/06/2023 09:41 PM - Sancho Fock

- Status changed from New to Resolved

#33 - 08/07/2023 11:16 PM - Sancho Fock

- Status changed from Resolved to Closed
